Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class IncomingNotificationRequest

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.IncomingDatagramMessage<UpnpRequest>
              org.teleal.cling.model.message.discovery.IncomingNotificationRequest

    public class IncomingNotificationRequest

extends IncomingDatagramMessage<UpnpRequest>

Must have NT and USN header.

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingNotificationRequest(IncomingDatagramMessage<UpnpRequest> source)`

Method Summary
`byte[]` | `getInterfaceMacHeader()`
`URL` | `getLocationURL()`
`Integer` | `getMaxAge()`
`UDN` | `getRootDeviceUDN()`
`boolean` | `isRootDeviceAliveMessage()`
`boolean` | `isRootDeviceByeByeMessage()`
`boolean` | `isRootDeviceMessage()`

Methods inherited from class org.teleal.cling.model.message.IncomingDatagramMessage
`getLocalAddress, getSourceAddress, getSourcePort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, logHeaders, setBody, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingNotificationRequest

    public IncomingNotificationRequest(IncomingDatagramMessage<UpnpRequest> source)

Method Detail

### isRootDeviceMessage

    public boolean isRootDeviceMessage()

### isRootDeviceAliveMessage

    public boolean isRootDeviceAliveMessage()

### isRootDeviceByeByeMessage

    public boolean isRootDeviceByeByeMessage()

### getLocationURL

    public URL getLocationURL()

### getRootDeviceUDN

    public UDN getRootDeviceUDN()

### getMaxAge

    public Integer getMaxAge()

### getInterfaceMacHeader

    public byte[] getInterfaceMacHeader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.